from abstract_attract_test import AbstractAttractTest, MOCK_SVN_URL


class TaskWorkflowTest(AbstractAttractTest):
    def setUp(self, **kwargs):
        AbstractAttractTest.setUp(self, **kwargs)
        self.project_id, _ = self.ensure_project_exists()

    def test_custom_properties(self):
        """Projects should get their properties dict."""

        with self.app.test_request_context():
            proj_coll = self.app.data.driver.db['projects']
            project = proj_coll.find_one({'_id': self.project_id})
            aprops = project['extension_props']['attract']
            self.assertIsInstance(aprops, dict)
            self.assertEqual(MOCK_SVN_URL, aprops['svn_url'])
